<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/pridiatemplate.xhtml">
		<ui:define name="location">
			<ui:include src="/pages/admin/submenu.xhtml" />
		</ui:define>
		<ui:define name="body">
			<p:panel id="panel_addusergrp" header="#{facesContext.translate('title.admin.usergroup.add')}" collapsed="true" toggleable="true">
				<p:panelGrid columns="3">
					<h:outputText value="#{facesContext.translate('label.admin.usergroup.name')}" />
					<p:inputText id="name" value="#{adminModel.name}" />
					<p:commandButton id="btn_addgrp" action="#{adminController.doAddGroup}" value="#{facesContext.translate('button.add')}" ajax="false" />
				</p:panelGrid>
			</p:panel>
			<p:panel header="#{facesContext.translate('title.admin.usergroup.manage')}">
				<p:dataTable id="usergroups" value="#{adminModel.usergroups}" var="g">
					<p:column headerText="#{facesContext.translate('label.admin.usergroup.name')}" style="width: 255px" sortable="true" filterable="true" sortBy="#{g.name}" filterBy="#{g.name}"
						  styleClass="column-name" filterMatchMode="contains">
						<ship:removeButton id="btn_delete" action="#{adminController.doDeleteGroup(g)}" value="#{g.name}" tooltip="#{facesContext.translate('button.delete')}"
							title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
							immediate="true" iconbutton="false">
							<h:outputText value="#{facesContext.translate('confirmation.delete', g.name)}" styleClass="dangerText" />
						</ship:removeButton>
					</p:column>
					<p:column headerText="#{facesContext.translate('label.admin.usergroup.users')}" styleClass="column-description">
						<ui:repeat var="u" value="#{g.users}">
							<p:commandButton id="usermenu" icon="pi pi-info-circle" type="button" value="#{u.forename} #{u.surname}" />
							<p:menu overlay="true" trigger="usermenu">
								<p:submenu label="#{facesContext.translate('label.menu.options')}">
									<p:menuitem>
										<ship:removeButton action="#{adminController.doRemoveUserFromGroup(g, u)}" value="" tooltip="#{facesContext.translate('button.delete')}"
											title="#{facesContext.translate('title.delete.approve')}" approveButtonLabel="#{facesContext.translate('button.yes')}" cancelButtonLabel="#{facesContext.translate('button.no')}"
											immediate="true">
											<h:outputText value="#{facesContext.translate('confirmation.delete.userfromgroup', u.forename, u.surname, g.name)}" styleClass="dangerText" />
										</ship:removeButton>
									</p:menuitem>
								</p:submenu>
								<p:submenu label="#{facesContext.translate('label.menu.info')}">
									<p:menuitem value="#{facesContext.translate('admin.table.user.expire')}">
										<h:outputText value="#{u.expireOn}" />
									</p:menuitem>
								</p:submenu>
							</p:menu>
						</ui:repeat>
					</p:column>
				</p:dataTable>
				<p:panelGrid columns="4">
					<p:selectOneMenu id="usnr" value="#{adminModel.usnr}" filter="true">
						<f:selectItems value="#{adminModel.users}" var="u" itemLabel="#{u.forename} #{u.surname}" itemValue="#{u.usnr}" />
					</p:selectOneMenu>
					<h:outputText value="#{facesContext.translate('label.into')}" />
					<p:selectOneMenu id="group" value="#{adminModel.pk}" filter="true">
						<f:selectItems value="#{adminModel.usergroups}" var="g" itemLabel="#{g.name}" itemValue="#{g.pk}" />
					</p:selectOneMenu>
					<p:commandButton id="btn_add" action="#{adminController.doAddUserToGroup}" value="#{facesContext.translate('button.add')}" ajax="false" />
				</p:panelGrid>
			</p:panel>
		</ui:define>
		<ui:define name="help_de">
			TODO StS: Hier werden die Nutzergruppen verwaltet. Über Nutzergruppen kann man die gemeinsame Berechtigung an Elementen in der Anwendung steuern. Damit wird es möglich, einem neuen Mitarbeiter die Berechtigungen einer größeren Gruppe mit einer kleinen Änderung zu übergeben.
		</ui:define>
	</ui:composition>
</h:body>
</html>